| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::HardwareBufferLicensee Class Referenceabstract
Core » RenderSystem

Abstract interface representing a 'licensee' of a hardware buffer copy. More...

`#include <OgreHardwareBufferManager.h>`

Inheritance diagram for Ogre::HardwareBufferLicensee:
[legend]

## Public Member Functions
virtual | ~HardwareBufferLicensee ()
virtual void | licenseExpired (HardwareBuffer *buffer)=0
| This method is called when the buffer license is expired and is about to be returned to the shared pool. More...

## Detailed Description

Abstract interface representing a 'licensee' of a hardware buffer copy.

Remarks
  Often it's useful to have temporary buffers which are used for working but are not necessarily needed permanently. However, creating and destroying buffers is expensive, so we need a way to share these working areas, especially those based on existing fixed buffers. This class represents a licensee of one of those temporary buffers, and must be implemented by any user of a temporary buffer if they wish to be notified when the license is expired.

## Constructor & Destructor Documentation

## ◆ ~HardwareBufferLicensee()

virtual Ogre::HardwareBufferLicensee::~HardwareBufferLicensee | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ licenseExpired()

virtual void Ogre::HardwareBufferLicensee::licenseExpired | ( | HardwareBuffer * | buffer | ) |
| pure virtual

This method is called when the buffer license is expired and is about to be returned to the shared pool.

Implemented in Ogre::TempBlendedBufferInfo.

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h